Subject: Re: [RFC 0/4] pktgen patches

From: Eric Dumazet <[email-masked]>
Date: Wed, 26 Aug 2009 08:54:33 +0200

Stephen Hemminger a écrit :
> These are some experimental (not ready yet), patches to try and
> improve the pktgen timer code. Need some review by the hrtimer folks
> as well.
> 
> 

I'll try these in a couple of hours thanks.

As a followup on our other pktgen thread, if I switch my 3GHz cpu to 2GHz (powersave cpufreq),
then I get litle bit better pktgen throughput from my 1Gb/s tg3 link.

So getting pktgen looping faster (spending less time in kernel time services)
might actually slow down the trafic.

We might try to avoid any memory ops while waiting txq to become available,
and cpu_relax()/ndelay(500)/udelay(1) as much as possible, to free bus bandwidth ?